/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 缺陷注释表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-09 13:48:58  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷注释表")
public class BugLog extends TenantPartition implements Entity
{
  public static final String KEY_bugLogId = "bugLogId";
  public static final String KEY_bugId = "bugId";
  public static final String KEY_message = "message";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 50, message="主键-bugLogId: 数据长度不能 > 50" )
  private String bugLogId;
  /**
   * 缺陷id<br>
   */
  @ApiModelProperty("缺陷id")
  @Size(max = 50, message="缺陷id-bugId: 数据长度不能 > 50" )
  private String bugId;
  /**
   * 注释<br>
   */
  @ApiModelProperty("注释")
  @Size(max = 65535, message="注释-message: 数据长度不能 > 65535" )
  private String message;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 50, message="创建人-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 50, message="更新人-updatedBy: 数据长度不能 > 50" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getBugLogId()
  {
      return bugLogId;
    }

  /**
   * 主键<br>
   *
   * @param bugLogId 主键
   */
  public void setBugLogId(String bugLogId)
  {
      this.bugLogId = bugLogId;
    }
  /**
   * 缺陷id<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 缺陷id<br>
   *
   * @param bugId 缺陷id
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 注释<br>
   */
  public String getMessage()
  {
      return message;
    }

  /**
   * 注释<br>
   *
   * @param message 注释
   */
  public void setMessage(String message)
  {
      this.message = message;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugLog()
  {
  }

}
